#include <stdio.h>
#include <stdlib.h>

#define MAX 100

void greska(char *poruka) {
    printf("%s\n", poruka);
    exit(EXIT_FAILURE);
}

int main(int argc, char **argv) {
    int i, n, k, broj_parnih = 0;
    int brojevi[MAX];
    
    if (argc != 3) {
        greska("Greska: Nedovoljan broj argumenata.");
    }
    
    n =atoi(argv[1]);
    if (n < 0) {
        greska("Greska: Ukupan broj brojeva negativan.");
    }
    
    if (n > MAX) {
        greska("Greska: Ukupan broj brojeva veci od 100.");
    }
    
    k = atoi(argv[2]);
    if (k < 0) {
        greska("Greska: Broj pozitivnih brojeva negativan.");
    }
    
    if (k > n) {
        greska("Greska: Broj pozitivnih brojeva veci od ukupnog broja brojeva.");
    }
    
    printf("Unesite %d celih brojeva:\n", n);
    
    for(i=0; i<n; i++) {
        scanf("%d", &brojevi[i]);
        
        if(brojevi[i] % 2 == 0) {
            broj_parnih++;
        }
    }
    
    if(broj_parnih < k) {
        greska("Greska: Nedovoljno parnih brojeva.");
    }
    
    for (i=0; i<n && k > 0; i++) {
        if (brojevi[i] % 2 == 0) {
            printf("%d\n", brojevi[i]);
            k--;
        }
    }
    
    return 0;
}
