#include <stdio.h>
#include <stdlib.h>

#define MAX 21

void greska(char *poruka) {
    printf("%s\n", poruka);
    exit(EXIT_FAILURE);
}

int zbir_cifara(int x) {
    int zbir = 0;
    
    while (x > 0) {
        zbir += x%10;
        x /= 10;
    }
    
    return zbir;
}

int main() {
    FILE *ulaz;
    char nagrada[MAX], ime[MAX], prezime[MAX];
    int br_nagrade, kod_ucesnika, ima_nagrade = 0;
    
    ulaz = fopen("nagrade.txt", "r");
    if (ulaz == NULL) {
        greska("Greska: Neispravna ulazna datoteka.");
    }
    
    scanf("%s%s%d", ime, prezime, &kod_ucesnika);
    if (kod_ucesnika < 0) {
        greska("Greska: Neispravan kod ucesnika.");
    }
    
    while (fscanf(ulaz, "%d%s", &br_nagrade, nagrada) != EOF) {
        if (zbir_cifara(kod_ucesnika) == br_nagrade) {
            printf("%s %s %s\n", ime, prezime, nagrada);
            ima_nagrade = 1;
            break;
        }
    }
    
    if (!ima_nagrade) {
        printf("Vise srece drugi put!\n");
    }
    
    fclose(ulaz);
    return 0;
}
